Bug 1276077 - Include hibernate-osgi when hibernate is released
Include hibernate-osgi when hibernate is released
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate (Show other bugs)
6.4.4
Unspecified Unspecified
unspecified Severity unspecified
: DR11
: ---
Assigned To: Aileen
Martin Simka
: Rebase, Reopened
Depends On: 1162402
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 11:45 EDT by Aileen
Modified: 2015-12-11 11:21 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of: 1162402
Environment:
Last Closed: 2015-10-28 14:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ENTESB-4301 Major Closed hibernate version should probably be aligned to version 4.2.20.Final-redhat-1 2017-03-22 02:49 EDT

  None (edit)
Description Aileen 2015-10-28 11:45:52 EDT
+++ This bug was initially created as a clone of Bug #1162402 +++

We would like to align the version of hibernate used in Fuse with that used in EAP however we require hibernate-osgi which is currently not included in the artefacts that EAP releases,

Can you release  hibernate-osgi for 4.2.20.Final-redhat-1 and subsequent hibernate releases?
Comment 1 Gail Badner 2015-10-28 14:59:27 EDT
I'm closing this because hibernate-osgi is not released with EAP, so this should not be an EAP BZ.

The hibernate-osgi jars can be found at http://download.devel.redhat.com/brewroot/repos/jb-eap-6.4-rhel-6-build/latest/maven/org/hibernate/hibernate-osgi/ .

Chris O'Brian and John Casey can provide more details about the process for pushing artifacts to maven.repository.redhat.com.
Comment 2 John Casey 2015-10-28 16:26:49 EDT
There is precedent for EAP to include some previously excluded modules when they do new builds of a component, so other products can have access to versions of the excluded modules that are compatible with things included in EAP.

Note that this has nothing to do with pushing content to MRRC; it's more a case of considering downstream products and taking on a little extra effort in order to avoid incurring additional compatibility problems later. In many cases, downstream products need access to modules that the EAP team have chosen to patch out of the build process (usually to save a little time).

It also seems reasonable that the Fuse team should be willing to collaborate with EAP in the effort to include the needed modules.
Comment 3 Gail Badner 2015-10-29 13:55:16 EDT
John, I'm confused what you are suggesting. Should this be reopened/recategorized? If so, who is the appropriate person to whom this should be assigned?
Comment 4 John Casey 2015-10-29 15:52:24 EDT
First, I was saying that this isn't related to maven.repository.redhat.com at all, which is something that came up in an email thread about this bug.

Second, I was saying that middleware product engineering has long accepted that if EAP builds a project but downstream products need a module that the EAP build patches out (suppresses) - such as hibernate-osgi - it's reasonable to request that they include the module in subsequent builds. This is something I've heard discussed between Paul Gier, Trevor Kirby, and various middleware layered product engineers on multiple occasions.

Given all of that, it seems like filing such a request here would be appropriate.
Comment 5 John Casey 2015-10-29 15:55:34 EDT
Is the requestor asking that hibernate-osgi be made available on maven.repository.redhat.com as part of each EAP release?

If EAP builds hibernate-osgi, but doesn't push it as part of their maven repository, it should still be available in MEAD.
Comment 6 Gail Badner 2015-10-29 18:55:32 EDT
David, you are way more familiar with this than I am. I'll assign to you. Please reopen/reassign as appropriate.
Comment 7 Aileen 2015-10-30 04:34:43 EDT
(In reply to John Casey from comment #5)
> Is the requestor asking that hibernate-osgi be made available on
> maven.repository.redhat.com as part of each EAP release?
> 
> If EAP builds hibernate-osgi, but doesn't push it as part of their maven
> repository, it should still be available in MEAD.

Yes, we are asking for this additional module to be made available in the public maven repo.
Comment 8 Aileen 2015-12-04 04:02:27 EST
To clarify:

this request is to push hibernate-osgi to the public maven repo, MRRC.

Currently when hibernate is pushed to MRRC the hibernate-osgi jars are not included as they are not required by EAP.

However Fuse is now aligning on the same version of Hibernate as EAP to faciliatate ongoing maintenance and as we require the hibernate-osgi jars I'm requesting that the release process be modified to push hibernate-osgi jars to MRRC for each release.
Comment 9 John Casey 2015-12-04 11:34:50 EST
Having EAP include hibernate-osgi in the repository zip they ship for deployment to MRRC would complicate the process of producing that zip. Sure, it's only a couple of files, but with EAP this would be a truly slippery slope, as so many other products layer on top of it and might need similar concessions. It seems to me to make a lot more sense to have the layered product be responsible for actually shipping that jar to MRRC, regardless of who actually built it. 

I've been discussing some other libraries with product engineering that are common between Fuse and EAP and for which there might be some awkward timing issues in getting them up to MRRC. It's starting to look like it might make sense for Fuse to deliver a mini repo.zip for deployment to MRRC when it releases, which would consist of these things that are somewhat awkward to coordinate. 

If that idea will work, I'd suggest Fuse include hibernate-osgi in that miniature zip, and we'll call the deployment of hibernate-osgi part of Fuse's release.

Does that make sense?
Comment 10 Paul Gier 2015-12-11 11:21:09 EST
Just wanted to add that I agree with John's comment that EAP should not include these artifacts in the Maven repository zip.  All Hibernate artifacts must be built, however, only the supported set are shipped with a given product.  The unshiped/unsupported artifacts are available in the internal repositories.  If a product needs these artifacts they can produce a Maven repository which includes them and then upload that to MRRC when the product is released.

Note You need to log in before you can comment on or make changes to this bug.